Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class WrapperObjectInputStream

`java.lang.Object
java.io.InputStream
com.tangosol.io.WrapperDataInputStream
com.tangosol.io.WrapperObjectInputStream`

All Implemented Interfaces:
  InputStreaming, java.io.Closeable, java.io.DataInput, java.io.ObjectInput

      public class WrapperObjectInputStream

extends WrapperDataInputStream
implements java.io.ObjectInput

This is an imitation ObjectInputStream class that provides the ObjectInput interface by delegating to an object that implements the ObjectInput interface. Primarily, this is intended as a base class for building specific-purpose ObjectInput wrappers.

Author:
  cp 2004.08.20

Constructor Summary
`WrapperObjectInputStream(java.io.ObjectInput in)` Construct a WrapperObjectInputStream that will read from the specified object implementing the ObjectInput interface.

Method Summary
`int` | `available()` Returns the number of bytes that can be read (or skipped over) from this input stream without causing a blocking I/O condition to occur.
`void` | `close()` Close the InputStream and release any system resources associated with it.
`java.io.ObjectInput` | `getObjectInput()` Obtain the underlying object providing the ObjectInput interface that this object is delegating to.
`int` | `read()` Read the next byte of data from the InputStream.
`int` | `read(byte[] ab)` Read some number of bytes from the input stream and store them into the passed array `ab`.
`int` | `read(byte[] ab, int of, int cb)` Read up to `cb` bytes from the input stream and store them into the passed array `ab` starting at offset `of`.
`java.lang.Object` | `readObject()` Read and return an object.
`long` | `skip(long cb)` Skips over up to the specified number of bytes of data from this InputStream.

Methods inherited from class com.tangosol.io.WrapperDataInputStream
`getDataInput, mark, markSupported, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, reset, skipBytes`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Constructor Detail

### WrapperObjectInputStream

    public WrapperObjectInputStream(java.io.ObjectInput in)

  Construct a WrapperObjectInputStream that will read from the specified object implementing the ObjectInput interface.
  Parameters:
    `in` - an object implementing ObjectInput to read from

Method Detail

### getObjectInput

    public java.io.ObjectInput getObjectInput()

  Obtain the underlying object providing the ObjectInput interface that this object is delegating to.
  Returns:
    the underlying ObjectInput

### readObject

    public java.lang.Object readObject()
                                throws java.lang.ClassNotFoundException,
                                       java.io.IOException

  Read and return an object.
  Specified by:
    `readObject` in interface `java.io.ObjectInput`
  Returns:
    the object read from the stream
  Throws:
    `java.lang.ClassNotFoundException` - if the class of a serialized object object cannot be found
    `java.io.IOException` - if an I/O error occurs

### read

    public int read()
             throws java.io.IOException

  Read the next byte of data from the InputStream. The value byte is returned as an `int` in the range `0` to `255`. If the end of the stream has been reached, the value `-1` is returned.

  This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in interface `InputStreaming`
  Specified by:
    `read` in interface `java.io.ObjectInput`
  Overrides:
    `read` in class `WrapperDataInputStream`
  Returns:
    the next byte of data, or `-1` if the end of the stream has been reached
  Throws:
    `java.io.IOException` - if an I/O error occurs

### read

    public int read(byte[] ab)
             throws java.io.IOException

  Read some number of bytes from the input stream and store them into the passed array `ab`. The number of bytes actually read is returned.

  This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in interface `InputStreaming`
  Specified by:
    `read` in interface `java.io.ObjectInput`
  Overrides:
    `read` in class `WrapperDataInputStream`
  Parameters:
    `ab` - the array to store the bytes which are read from the stream
  Returns:
    the number of bytes read from the stream, or `-1` if no bytes were read from the stream because the end of the stream had been reached
  Throws:
    `java.lang.NullPointerException` - if the passed array is null
    `java.io.IOException` - if an I/O error occurs

### read

    public int read(byte[] ab,
                    int of,
                    int cb)
             throws java.io.IOException

  Read up to `cb` bytes from the input stream and store them into the passed array `ab` starting at offset `of`. The number of bytes actually read is returned.

  This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in interface `InputStreaming`
  Specified by:
    `read` in interface `java.io.ObjectInput`
  Overrides:
    `read` in class `WrapperDataInputStream`
  Parameters:
    `ab` - the array to store the bytes which are read from the stream
    `of` - the offset into the array that the read bytes will be stored
    `cb` - the maximum number of bytes to read
  Returns:
    the number of bytes read from the stream, or `-1` if no bytes were read from the stream because the end of the stream had been reached
  Throws:
    `java.lang.NullPointerException` - if the passed array is null
    `java.lang.IndexOutOfBoundsException` - if `of` or `cb` is negative, or `of+cb` is greater than the length of the `ab`
    `java.io.IOException` - if an I/O error occurs

### skip

    public long skip(long cb)
              throws java.io.IOException

  Skips over up to the specified number of bytes of data from this InputStream. The number of bytes actually skipped over may be fewer than the number specified to skip, and may even be zero; this can be caused by an end-of-file condition, but can also occur even when there is data remaining in the InputStream. As a result, the caller should check the return value from this method, which indicates the actual number of bytes skipped.
  Specified by:
    `skip` in interface `InputStreaming`
  Specified by:
    `skip` in interface `java.io.ObjectInput`
  Overrides:
    `skip` in class `WrapperDataInputStream`
  Parameters:
    `cb` - the maximum number of bytes to skip over
  Returns:
    the actual number of bytes that were skipped over
  Throws:
    `java.io.IOException` - if an I/O error occurs

### available

    public int available()
                  throws java.io.IOException

  Returns the number of bytes that can be read (or skipped over) from this input stream without causing a blocking I/O condition to occur. This method reflects the assumed implementation of various buffering InputStreams, which can guarantee non-blocking reads up to the extent of their buffers, but beyond that the read operations will have to read from some underlying (and potentially blocking) source.
  Specified by:
    `available` in interface `InputStreaming`
  Specified by:
    `available` in interface `java.io.ObjectInput`
  Overrides:
    `available` in class `WrapperDataInputStream`
  Returns:
    the number of bytes that can be read from this InputStream without blocking
  Throws:
    `java.io.IOException` - if an I/O error occurs

### close

    public void close()
               throws java.io.IOException

  Close the InputStream and release any system resources associated with it.
  Specified by:
    `close` in interface `InputStreaming`
  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `java.io.ObjectInput`
  Overrides:
    `close` in class `WrapperDataInputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.